Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
mIG.31

Autolisp [Quy hoạch] tự động lấy tọa độ các đỉnh Polyline

Các bài được khuyến nghị

(defun c:td()
(setq td '((0 0 0)) td1 '((0 0 0)) i 0)
(command "-style" "Styleforlist"  ".vnarial narrowH" "1" "1" "" "" "")
(setq n (entget (car (nentsel))))
(foreach n1 n (if (= (car n1) 10) 
(progn
      (setq i (+ i 1))
      (setq td (cdr n1))
(setq ltd (list (car td) (cadr td)))
    (setq td1 (cons ltd td1))
(entmake (list (cons 0 "text") 
         (cons 100 "AcDbEntity") 
         (cons 67 0)
         (cons 410 "Model") 
         (cons 8 (getvar "clayer")) 
         (cons 48 1000) 
         (cons 100 "AcDbText") 
         (cons 10 ltd)
         (cons 40 1)
         (cons 1 (strcat "D" (rtos i 2 0)))
         (cons 50 0.0)
         (cons 51 0.0)
         (cons 41 1.0)
         (cons 7 "styleforlist") 
         (cons 71 0) 
         (cons 72 0)
         (cons 11 (list 0.0 0.0 0.0))
         (cons 210 (list 0.0 0.0 1.0))
         (cons 73 0)
))
(write-line (strcat "M" (rtos i 2 0)"      "(rtos (car td) 2 3)"      "(rtos (cadr td) 2 3)))
         )))
);

cái này trên diễn đàn cũng có nhiều rồi, mà cái này mình đã dùng vào một số dự án thấy cũng ok, không ngại xấu hổ nên đem lên đây chia sẻ cho các bạn muốn tìm một cái Lisp an toàn

về cách dùng thì như sau:

1. Gõ lệnh td

2. chọn vào Polyline 

3. Bấm F2 rồi copy tọa độ từ cửa sổ autocad textwindow 

Một số lưu ý cho người dùng:

- Các bạn vẽ polyline có thể có một số điểm trùng nhau lệnh td này sẽ lấy cả tọa độ điểm trùng nhau đấy nên là khi copy các bạn phải để ý kỹ nhé

- tọa độ polyline phải là tọa độ VN-2000 nên là nếu bạn đã di chuyển đi rồi thì sẽ pick ra tọa độ giả định (thật cẩn thận chỗ này nếu có 2 ng vẽ phải hỏi kỹ người kia vào đấy)

Mình nhiệt liệt hoan nghênh ae quan tâm chủ đề này có thể sửa lại lisp cho nó hoàn thiện, thân thiện với người dùng hơn ^-^ xin cảm ơn

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
2 giờ trước, Doan Van Ha đã nói:

Cái đoạn entmake để làm gì bạn?

Dùng để chèn Text, text này là số thứ tự hoặc tên đỉnh bạn ah

hình như chỗ tui có 1 ông đang dùng lệnh IDD pick tọa độ ra file csv của bạn đấy bạn Đoàn Văn Hà, rồi bảo cái lệnh của tui nó khó dùng hắc hắc ^^!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay
Đăng nhập để thực hiện theo  

×